Criar um webhook
curl --request POST \
--url https://api.dooki.com.br/v2/{alias}/webhooks \
--header 'Content-Type: application/json' \
--header 'User-Secret-Key: <api-key>' \
--header 'User-Token: <api-key>' \
--data '
{
"url": "https://suaurl.com/api/webhooks",
"events": [
"order.created",
"cart.reminder"
],
"name": "Nome do webhook"
}
'import requests
url = "https://api.dooki.com.br/v2/{alias}/webhooks"
payload = {
"url": "https://suaurl.com/api/webhooks",
"events": ["order.created", "cart.reminder"],
"name": "Nome do webhook"
}
headers = {
"User-Token": "<api-key>",
"User-Secret-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'User-Token': '<api-key>',
'User-Secret-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
url: 'https://suaurl.com/api/webhooks',
events: ['order.created', 'cart.reminder'],
name: 'Nome do webhook'
})
};
fetch('https://api.dooki.com.br/v2/{alias}/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"active": true,
"name": "Webhook de integração com CRM",
"url": "https://suaurl.com/api/webhooks",
"secret_key": "<string>",
"events": {
"data": [
{
"name": "<string>",
"description": "<string>"
}
]
},
"products": {
"data": [
{
"id": 123,
"merchant_id": 123,
"seller_id": 123,
"affiliation_id": 123,
"erp_id": 123,
"relevance": 123,
"active": true,
"gift_value": "<string>",
"searchable": true,
"simple": true,
"ncm": "<string>",
"has_variations": true,
"is_digital": true,
"warranty": 123,
"custom_shipping": true,
"shipping_price": "<string>",
"name": "<string>",
"slug": "<string>",
"sku": "<string>",
"rating": 123,
"priority": 123,
"url": "<string>",
"redirect_url_card": "<string>",
"redirect_url_billet": "<string>",
"preview_url": "<string>"
}
]
},
"disabled_at": {
"date": "2000-08-17 10:24:24",
"timezone_type": 3,
"timezone": "America/Sao_Paulo"
},
"created_at": {
"date": "2000-08-17 10:24:24",
"timezone_type": 3,
"timezone": "America/Sao_Paulo"
},
"updated_at": {
"date": "2000-08-17 10:24:24",
"timezone_type": 3,
"timezone": "America/Sao_Paulo"
}
}Webhooks
Criar um webhook
Criar um novo webhook
POST
/
{alias}
/
webhooks
Criar um webhook
A criação dos webhooks é restrita ao limite definido ao plano da sua loja, acesse a página de planos para consultar seu limite.
Webhooks criados por aplicativos homologados não são levados em consideração nessa contagem.
Path Parameters
Alias da loja
Body
application/json
Representa os dados necessários para criar ou atualizar um webhook
Response
Webhook criado com sucesso
Representa um webhook
Nome do webhook
Example:
"Webhook de integração com CRM"
URL para onde os eventos serão enviados
Example:
"https://suaurl.com/api/webhooks"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I